## skkdic 20011121

=== Makefile ===
# Makefile: makefile for SKK Dictionaries.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>
# Version: $Id: Makefile,v 1.14 2001/07/31 23:53:22 minakaji Exp $
# Last Modified: $Date: 2001/07/31 23:53:22 $

GAWK      = gawk
BZIP2     = bzip2 -9
DATE	  = date
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
TAR	  = tar
#TODAY     = `$(DATE) '+%Y%m%d'`
ZIP       = zip
SRCS	  = SKK-JISYO.L SKK-JISYO.M SKK-JISYO.S SKK-JISYO.JIS2 SKK-JISYO.pubdic+ SKK-JISYO.wrong \
            SKK-JISYO.L.unannotated SKK-JISYO.wrong.annotated SKK-JISYO.okinawa SKK-JISYO.jinmei \
	    SKK-JISYO.law SKK-JISYO.mazegaki 
ZIPDIC_DIR  = ./zipcode

clean:
	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
	*.unannotated SKK-JISYO.wrong 

archive: zip gzip bzip2

unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong

SKK-JISYO.L.unannotated:
	$(GAWK) -f unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated

SKK-JISYO.wrong:
	$(GAWK) -f unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong

zip: clean $(SRCS)
	for file in $(SRCS); do \
	  $(ZIP) $$file.zip $$file ;\
	  $(MD5) $$file.zip >$$file.zip.md5; \
	done 
	$(ZIP) SKK-JISYO.edict.zip SKK-JISYO.edict edict_doc.txt
	$(ZIP) -r zipcode.zip $(ZIPDIC_DIR) -x@./skk.ex
#	$(ZIP) -r zipcode.zip $(ZIPDIC_DIR)
	$(MD5) zipcode.zip >zipcode.zip.md5

gzip: clean $(SRCS)
	for file in $(SRCS); do \
	  $(GZIP) -fc $$file >$$file.gz ;\
	  $(MD5) $$file.gz >$$file.gz.md5; \
	done 
	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
	$(GZIP) -f SKK-JISYO.edict.tar
	$(MD5) SKK-JISYO.edict.tar.gz > SKK-JISYO.edict.tar.gz.md5
	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
#	$(TAR) cvzpf zipcode.tar.gz ./zipcode
	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5

bzip2: clean $(SRCS)
	for file in $(SRCS); do \
	  $(BZIP2) -fc $$file >$$file.bz2 ;\
	  $(MD5) $$file.bz2 >$$file.bz2.md5; \
	done 
	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
	$(BZIP2) -f SKK-JISYO.edict.tar
	$(MD5) SKK-JISYO.edict.tar.bz2 > SKK-JISYO.edict.tar.bz2.md5
#	$(TAR) cvpf zipcode.tar ./zipcode --exclude-from=./skk.ex
	$(TAR) cvpf zipcode.tar ./zipcode
	$(BZIP2) -f zipcode.tar 
	$(MD5) zipcode.tar.bz2 >zipcode.tar.bz2.md5

# end of Makefile.

## skkdic 20040323

=== Makefile ===
# Makefile: makefile for SKK Dictionaries.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>
# Version: $Id: Makefile,v 1.29 2003/11/15 10:46:12 minakaji Exp $
# Last Modified: $Date: 2003/11/15 10:46:12 $

BZIP2     = bzip2 -9
COUNT	  = skkdic-count
DATE	  = date
EXPR      = skkdic-expr
GAWK      = gawk
GREP	  = grep
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
RUBY      = ruby
SORT	  = skkdic-sort
TAR	  = tar
#TODAY     = `$(DATE) '+%Y%m%d'`
ZIP       = zip
ZIPDIC_DIR  = ./zipcode

DIC2PDB = dic2pdb
DICCOMPACT = diccompact.rb
KANADIC2ROMADIC = kanadic2romadic
NKF = nkf
SKKDIC2KANADIC = skkdic2kanadic

SRCS	  = SKK-JISYO.L SKK-JISYO.ML SKK-JISYO.M SKK-JISYO.S SKK-JISYO.JIS2 \
		SKK-JISYO.JIS3_4 SKK-JISYO.pubdic+ SKK-JISYO.wrong.annotated \
		SKK-JISYO.okinawa SKK-JISYO.geo SKK-JISYO.jinmei SKK-JISYO.law \
		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
		SKK-JISYO.china_taiwan
BIN_SRCS  = #PBinlineDB.pdb
ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated

clean:
	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic

archive: zip gzip #bzip2

unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong SKK-JISYO.china_taiwan.unannotated

SKK-JISYO.L.unannotated: SKK-JISYO.L
	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated

SKK-JISYO.wrong: SKK-JISYO.wrong.annotated
	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong

SKK-JISYO.china_taiwan: csv/china_taiwan.csv
	$(RUBY) ../tools/convert2skk/ctdicconv.rb csv/china_taiwan.csv > SKK-JISYO.tmp
	$(EXPR) SKK-JISYO.tmp | $(SORT) - > SKK-JISYO.tmp1
	cat SKK-JISYO.china_taiwan.header SKK-JISYO.tmp1 > SKK-JISYO.china_taiwan
	$(RM) SKK-JISYO.tmp SKK-JISYO.tmp1

SKK-JISYO.china_taiwan.unannotated: SKK-JISYO.china_taiwan csv/china_taiwan.csv
	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.china_taiwan > SKK-JISYO.china_taiwan.unannotated

wrong_check: SKK-JISYO.wrong
	for file in $(SRCS) ; do \
	  if [ $$file != "SKK-JISYO.wrong.annotated" ] ; then \
	    $(EXPR) $$file - SKK-JISYO.wrong > $$file.tmp ;\
	    $(EXPR) $$file - $$file.tmp > $$file.w ;\
	    $(RM) $$file.tmp ;\
	    $(COUNT) $$file.w | $(GREP) -v '0 candidate' | \
	      sed -e 's/\.w:/:/' -e 's/\([1-9]\)/\1 wrong/' ;\
	    if [ $$? != 0 ]; then \
	      $(RM) $$file.w ; \
	    fi ;\
	  fi ;\
	done

PBinlineDB.dic: clean SKK-JISYO.L.unannotated
	$(SKKDIC2KANADIC) SKK-JISYO.L.unannotated | $(KANADIC2ROMADIC) - | $(NKF) -s > PBinlineDB.dic

PBinlineDB_compact.pdb: PBinlineDB.dic
	 $(DICCOMPACT) PBinlineDB.dic | $(DIC2PDB) - PBinlineDB.pdb

PBinlineDB_full.pdb: PBinlineDB.dic
	$(DIC2PDB) PBinlineDB.dic PBinlineDB.pdb

PBinlineDB.pdb: PBinlineDB_full.pdb
	$(RM) PBinlineDB.dic

zip: clean $(ALL_SRCS)
	for file in $(ALL_SRCS); do \
	  $(ZIP) $$file.zip $$file ;\
	  $(MD5) $$file.zip >$$file.zip.md5; \
	done
	$(ZIP) SKK-JISYO.edict.zip SKK-JISYO.edict edict_doc.txt
	$(ZIP) -r zipcode.zip $(ZIPDIC_DIR) -x@./skk.ex
	$(MD5) zipcode.zip >zipcode.zip.md5

gzip: clean $(ALL_SRCS)
	for file in $(ALL_SRCS); do \
	  $(GZIP) -fc $$file >$$file.gz ;\
	  $(MD5) $$file.gz >$$file.gz.md5; \
	done
	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
	$(GZIP) -f SKK-JISYO.edict.tar
	$(MD5) SKK-JISYO.edict.tar.gz > SKK-JISYO.edict.tar.gz.md5
	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5

# bzip2: clean $(SRCS)
# 	for file in $(SRCS); do \
# 	  $(BZIP2) -fc $$file >$$file.bz2 ;\
# 	  $(MD5) $$file.bz2 >$$file.bz2.md5; \
# 	done
# 	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
# 	$(BZIP2) -f SKK-JISYO.edict.tar
# 	$(MD5) SKK-JISYO.edict.tar.bz2 > SKK-JISYO.edict.tar.bz2.md5
# #	$(TAR) cvpf zipcode.tar ./zipcode --exclude-from=./skk.ex
# 	$(TAR) cvpf zipcode.tar ./zipcode
# 	$(BZIP2) -f zipcode.tar
# 	$(MD5) zipcode.tar.bz2 >zipcode.tar.bz2.md5

# end of Makefile.

## skkdic 20051117

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,25 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.29 2003/11/15 10:46:12 minakaji Exp $
-# Last Modified: $Date: 2003/11/15 10:46:12 $
+# Version: $Id: Makefile,v 1.34 2005/10/23 16:31:28 skk-cvs Exp $
+# Last Modified: $Date: 2005/10/23 16:31:28 $
 
-BZIP2     = bzip2 -9
+BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
 DATE	  = date
-EXPR      = skkdic-expr
-GAWK      = gawk
+EXPR	  = skkdic-expr
+EXPR2	  = skkdic-expr2
+GAWK	  = awk
 GREP	  = grep
-GZIP      = gzip -9
+SED	  = sed
+GZIP	  = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
-RUBY      = ruby
+RUBY	  = ruby -I ../tools/filters
 SORT	  = skkdic-sort
 TAR	  = tar
-#TODAY     = `$(DATE) '+%Y%m%d'`
-ZIP       = zip
+#TODAY	  = `$(DATE) '+%Y%m%d'`
+ZIP	  = zip
 ZIPDIC_DIR  = ./zipcode
 
 DIC2PDB = dic2pdb
@@ -36,7 +38,7 @@
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
-	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic
+	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header
 
 archive: zip gzip #bzip2
 
@@ -103,6 +105,64 @@
 	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
 	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5
 
+SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(EXPR2) SKK-JISYO.L + SKK-JISYO.tmp | cat SKK-JISYO.L.header - > SKK-JISYO.L+
+	$(RM) SKK-JISYO.tmp SKK-JISYO.addition
+
+SKK-JISYO.total: SKK-JISYO.L SKK-JISYO.geo SKK-JISYO.station SKK-JISYO.jinmei SKK-JISYO.propernoun SKK-JISYO.fullname SKK-JISYO.law SKK-JISYO.okinawa SKK-JISYO.hukugougo SKK-JISYO.assoc SKK-JISYO.notes SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	# order is very important here
+	$(EXPR2) SKK-JISYO.geo + SKK-JISYO.station + SKK-JISYO.jinmei + SKK-JISYO.propernoun + SKK-JISYO.fullname + SKK-JISYO.tmp + SKK-JISYO.law + SKK-JISYO.okinawa + SKK-JISYO.hukugougo + SKK-JISYO.assoc - SKK-JISYO.L > SKK-JISYO.addition
+	# why eliminating SKK-JISYO.L once? -- to not add too noisy
+	# annotations from SKK-JISYO.jinmei and so on.
+	$(EXPR2) SKK-JISYO.L + SKK-JISYO.addition | cat SKK-JISYO.L.header - > SKK-JISYO.total
+	$(RM) SKK-JISYO.tmp SKK-JISYO.addition
+
+SKK-JISYO.total+zipcode: SKK-JISYO.total $(ZIPDIC_DIR)/SKK-JISYO.zipcode $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode SKK-JISYO.L.header
+	$(EXPR2) SKK-JISYO.total + $(ZIPDIC_DIR)/SKK-JISYO.zipcode + $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode
+
+SKK-JISYO.L.taciturn: SKK-JISYO.L SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn
+
+SKK-JISYO.L+.taciturn: SKK-JISYO.L+ SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn
+
+SKK-JISYO.total.taciturn: SKK-JISYO.total SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn
+
+SKK-JISYO.total+zipcode.taciturn: SKK-JISYO.total+zipcode SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn
+
+SKK-JISYO.L+.unannotated: SKK-JISYO.L+
+	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated
+
+SKK-JISYO.total.unannotated: SKK-JISYO.total
+	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated
+
+SKK-JISYO.total+zipcode.unannotated: SKK-JISYO.total+zipcode
+	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated
+
+SKK-JISYO.L.header: SKK-JISYO.L
+	echo ';; (This dictionary was automatically generated from SKK dictionaries)' > SKK-JISYO.L.header
+	$(SED) -n '/^;; okuri-ari entries./q;p' SKK-JISYO.L >> SKK-JISYO.L.header
+
+unannotated-all: unannotated SKK-JISYO.L+.unannotated SKK-JISYO.total.unannotated SKK-JISYO.total+zipcode.unannotated
+
+taciturn-all: SKK-JISYO.L+.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn
+
+annotated-all: SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode
+
+all: annotated-all unannotated-all taciturn-all
+
 # bzip2: clean $(SRCS)
 # 	for file in $(SRCS); do \
 # 	  $(BZIP2) -fc $$file >$$file.bz2 ;\

## skkdic 20060610

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.34 2005/10/23 16:31:28 skk-cvs Exp $
-# Last Modified: $Date: 2005/10/23 16:31:28 $
+# Version: $Id: Makefile,v 1.39 2006/02/19 17:23:07 skk-cvs Exp $
+# Last Modified: $Date: 2006/02/19 17:23:07 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
 DATE	  = date
 EXPR	  = skkdic-expr
 EXPR2	  = skkdic-expr2
-GAWK	  = awk
+GAWK	  = LC_ALL=C gawk
 GREP	  = grep
 SED	  = sed
 GZIP	  = gzip -9
@@ -32,9 +32,13 @@
 		SKK-JISYO.JIS3_4 SKK-JISYO.pubdic+ SKK-JISYO.wrong.annotated \
 		SKK-JISYO.okinawa SKK-JISYO.geo SKK-JISYO.jinmei SKK-JISYO.law \
 		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
-		SKK-JISYO.china_taiwan
+		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
+		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
+		SKK-JISYO.fullname
+# SKK-JISYO.noregist SKK-JISYO.hukugougo
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
+# SKK-JISYO.L+ SKK-JISYO.L.taciturn SKK-JISYO.total
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
@@ -102,7 +106,7 @@
 	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
 	$(GZIP) -f SKK-JISYO.edict.tar
 	$(MD5) SKK-JISYO.edict.tar.gz > SKK-JISYO.edict.tar.gz.md5
-	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
+	$(TAR) cvzpf zipcode.tar.gz --exclude-from=./skk.ex ./zipcode
 	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5
 
 SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header

## skkdic 20061130

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.39 2006/02/19 17:23:07 skk-cvs Exp $
-# Last Modified: $Date: 2006/02/19 17:23:07 $
+# Version: $Id: Makefile,v 1.40 2006/10/22 13:15:32 skk-cvs Exp $
+# Last Modified: $Date: 2006/10/22 13:15:32 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -15,7 +15,7 @@
 GZIP	  = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
-RUBY	  = ruby -I ../tools/filters
+RUBY	  = ruby -I $(TOOLS_DIR)/filters
 SORT	  = skkdic-sort
 TAR	  = tar
 #TODAY	  = `$(DATE) '+%Y%m%d'`
@@ -27,6 +27,7 @@
 KANADIC2ROMADIC = kanadic2romadic
 NKF = nkf
 SKKDIC2KANADIC = skkdic2kanadic
+TOOLS_DIR = ../tools
 
 SRCS	  = SKK-JISYO.L SKK-JISYO.ML SKK-JISYO.M SKK-JISYO.S SKK-JISYO.JIS2 \
 		SKK-JISYO.JIS3_4 SKK-JISYO.pubdic+ SKK-JISYO.wrong.annotated \
@@ -42,26 +43,26 @@
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
-	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header
+	*.unannotated SKK-JISYO.wrong PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header SKK-JISYO.china_taiwan
 
 archive: zip gzip #bzip2
 
 unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong SKK-JISYO.china_taiwan.unannotated
 
 SKK-JISYO.L.unannotated: SKK-JISYO.L
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated
 
 SKK-JISYO.wrong: SKK-JISYO.wrong.annotated
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong
 
 SKK-JISYO.china_taiwan: csv/china_taiwan.csv
-	$(RUBY) ../tools/convert2skk/ctdicconv.rb csv/china_taiwan.csv > SKK-JISYO.tmp
-	$(EXPR) SKK-JISYO.tmp | $(SORT) - > SKK-JISYO.tmp1
-	cat SKK-JISYO.china_taiwan.header SKK-JISYO.tmp1 > SKK-JISYO.china_taiwan
-	$(RM) SKK-JISYO.tmp SKK-JISYO.tmp1
+	$(RUBY) $(TOOLS_DIR)/convert2skk/ctdicconv.rb csv/china_taiwan.csv > SKK-JISYO.tmp
+	$(EXPR) SKK-JISYO.tmp | $(SORT) - > SKK-JISYO.1.tmp
+	cat SKK-JISYO.china_taiwan.header SKK-JISYO.1.tmp > SKK-JISYO.china_taiwan
+	$(RM) SKK-JISYO.tmp SKK-JISYO.1.tmp
 
 SKK-JISYO.china_taiwan.unannotated: SKK-JISYO.china_taiwan csv/china_taiwan.csv
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.china_taiwan > SKK-JISYO.china_taiwan.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.china_taiwan > SKK-JISYO.china_taiwan.unannotated
 
 wrong_check: SKK-JISYO.wrong
 	for file in $(SRCS) ; do \
@@ -110,20 +111,20 @@
 	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5
 
 SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
 	$(EXPR2) SKK-JISYO.L + SKK-JISYO.tmp | cat SKK-JISYO.L.header - > SKK-JISYO.L+
 	$(RM) SKK-JISYO.tmp SKK-JISYO.addition
 
 SKK-JISYO.total: SKK-JISYO.L SKK-JISYO.geo SKK-JISYO.station SKK-JISYO.jinmei SKK-JISYO.propernoun SKK-JISYO.fullname SKK-JISYO.law SKK-JISYO.okinawa SKK-JISYO.hukugougo SKK-JISYO.assoc SKK-JISYO.notes SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
 	# order is very important here
 	$(EXPR2) SKK-JISYO.geo + SKK-JISYO.station + SKK-JISYO.jinmei + SKK-JISYO.propernoun + SKK-JISYO.fullname + SKK-JISYO.tmp + SKK-JISYO.law + SKK-JISYO.okinawa + SKK-JISYO.hukugougo + SKK-JISYO.assoc - SKK-JISYO.L > SKK-JISYO.addition
 	# why eliminating SKK-JISYO.L once? -- to not add too noisy
@@ -135,25 +136,25 @@
 	$(EXPR2) SKK-JISYO.total + $(ZIPDIC_DIR)/SKK-JISYO.zipcode + $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode
 
 SKK-JISYO.L.taciturn: SKK-JISYO.L SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn
 
 SKK-JISYO.L+.taciturn: SKK-JISYO.L+ SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn
 
 SKK-JISYO.total.taciturn: SKK-JISYO.total SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn
 
 SKK-JISYO.total+zipcode.taciturn: SKK-JISYO.total+zipcode SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn
 
 SKK-JISYO.L+.unannotated: SKK-JISYO.L+
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated
 
 SKK-JISYO.total.unannotated: SKK-JISYO.total
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated
 
 SKK-JISYO.total+zipcode.unannotated: SKK-JISYO.total+zipcode
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated
 
 SKK-JISYO.L.header: SKK-JISYO.L
 	echo ';; (This dictionary was automatically generated from SKK dictionaries)' > SKK-JISYO.L.header

## skkdic 20070529

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.40 2006/10/22 13:15:32 skk-cvs Exp $
-# Last Modified: $Date: 2006/10/22 13:15:32 $
+# Version: $Id: Makefile,v 1.41 2007/03/31 07:41:17 skk-cvs Exp $
+# Last Modified: $Date: 2007/03/31 07:41:17 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -35,7 +35,7 @@
 		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
 		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
 		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
-		SKK-JISYO.fullname
+		SKK-JISYO.fullname SKK-JISYO.JIS2004
 # SKK-JISYO.noregist SKK-JISYO.hukugougo
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated

## skkdic 20100214

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.41 2007/03/31 07:41:17 skk-cvs Exp $
-# Last Modified: $Date: 2007/03/31 07:41:17 $
+# Version: $Id: Makefile,v 1.44 2007/09/02 06:42:46 skk-cvs Exp $
+# Last Modified: $Date: 2007/09/02 06:42:46 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -45,7 +45,7 @@
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
 	*.unannotated SKK-JISYO.wrong PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header SKK-JISYO.china_taiwan
 
-archive: zip gzip #bzip2
+archive: gzip #zip bzip2
 
 unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong SKK-JISYO.china_taiwan.unannotated
 
@@ -162,7 +162,7 @@
 
 unannotated-all: unannotated SKK-JISYO.L+.unannotated SKK-JISYO.total.unannotated SKK-JISYO.total+zipcode.unannotated
 
-taciturn-all: SKK-JISYO.L+.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn
+taciturn-all: SKK-JISYO.L.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn
 
 annotated-all: SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode

## skkdic 20110529

=== debian/changelog ===
skkdic (20110529-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2011-05-29, except *edict*)
  * debian/control, debian/rules: Use ruby1.8 instead of ruby to build
    SKK-JISYO.china_taiwan.
  * debian/control:
    - Set the Homepage field to `http://openlab.jp/skk/dic.html'.
    - Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.
  * Switch to the dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 29 May 2011 11:14:50 +0900

skkdic (20100214-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-02-14, except *edict*)
  * debian/control:
    - Remove "Noritada Kobayashi" from Maintainer. (closes: #554075)
    - Move "Tatsuya Kinoshita" from Uploaders to Maintainer.
    - Update Standards-Version to 3.8.4.
  * debian/README.source: Renamed from debian/README.Debian-source.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2010 20:41:41 +0900

skkdic (20090627-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2009-06-27, except *edict*)
  * debian/control:
    - Don't use alternatives in `Enhances:'.
      (closes: #526504, #526506, #526508, #533992)
    - Add `${misc:Depends}' to `Depends:'.
    - Update Standards-Version to 3.8.2.
  * debian/skkdic.postinst, debian/skkdic-extra.postinst: Don't use a
    prepended path for update-skkdic-yaskkserv.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jul 2009 00:41:02 +0900

skkdic (20071028-2) unstable; urgency=low

  * debian/skkdic.postinst, debian/skkdic-extra.postinst: Run
    update-skkdic-yaskkserv if it exists. (Closes: #464809)
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Set Standards-Version to 3.7.3.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 31 May 2008 14:10:19 +0900

skkdic (20071028-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-10-28, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sun, 28 Oct 2007 13:42:05 +0900

skkdic (20071010-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-10-10, except *edict*)
  * debian/copyright: Update copyright information for SKK-JISYO.L.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Wed, 10 Oct 2007 20:47:23 +0900

skkdic (20070930-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-09-30, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sun, 30 Sep 2007 00:41:53 +0900

skkdic (20070918-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-09-18, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Tue, 18 Sep 2007 01:48:15 +0900

skkdic (20070529-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-05-29, except *edict*)
  * Delete an accidentally added "log" file.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Tue, 29 May 2007 00:09:18 +0900

skkdic (20070411-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-11, except *edict*)
    - New dictionary SKK-JISYO.JIS2004.
  * debian/copyright:
    - Bump copyright year to 2007.
    - Add copyright information for SKK-JISYO.JIS2004.
  * debian/rules: Pass the `-k' option to dh_installchangelogs so that
    all of ChangeLog* are installed equally.
  * debian/skkdic{,-cdb,-extra}.docs: Deleted since their settings are
    now moved into debian/rules.
  * debian/skkdic-extra.install: Include SKK-JISYO.JIS2004 to install it.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Thu, 12 Apr 2007 00:57:06 +0900

skkdic (20061130-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-11-30, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Thu, 30 Nov 2006 23:55:08 +0900

skkdic (20061023-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-10-23, except *edict*)
  * debian/control: Add ruby and skktools to Build-Depends-Indep, which are
    necessary to build SKK-JISYO.china_taiwan.
  * debian/rules:
    - Add a new target `get-orig-source' to create a tarball.
    - Enable building SKK-JISYO.china_taiwan.
  * debian/README.Debian-source: New info file explaining how the source
    tarball was repackaged. (Closes: #393100)
  * debian/skkdic-extra.install: Include SKK-JISYO.china_taiwan.
    (Closes: #392882)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Fri, 27 Oct 2006 20:46:00 +0900

skkdic (20061016-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-10-16, except *edict*;
    closes: #392883)
  * debian/rules:
    - Enable cleaning *.tmp files temporarily created by cdb. (Closes: #392881)
    - Enable installing ChangeLog.{1..3}.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Mon, 16 Oct 2006 22:24:19 +0900

skkdic (20060813-2) unstable; urgency=low

  * New maintainer, sponsored by Tatsuya Kinoshita <tats@debian.org>.
  * debian/copyright: Correct name of the upstream maintainer team.
  * debian/rules: Simplify rules by using CDBS in addition to debhelper.
  * debian/control:
    - Improve Enhances as `dbskkd-cdb | skkserv'.
    - Make Description more user-friendly and add a Homepage line to it.
    - Add cdbs to Build-Depends.
    - Make binary packages provide Suggests each other.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sat, 14 Oct 2006 07:50:44 +0900

skkdic (20060813-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-08-13, except *edict*.)
  * New maintainer, with previous maintainer's consent.
  * debian/skkdic-extra.docs: New file to install READMEs/committers.txt.
  * debian/skkdic-cdb.docs: Ditto.
  * debian/control: Add `Enhances: dbskkd-cdb, skksearch' and
    `Suggests: skktools'.
  * debian/*README.Debian: Suggest skktools instead of skkdic-conf.
  * debian/control: Depend on debhelper version 5.
  * debian/compat: 4 -> 5.


=== debian/control ===
Source: skkdic
Section: utils
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends-Indep: tinycdb, ruby1.8, skktools (>= 1.2-3)
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.9.2
Homepage: http://openlab.jp/skk/dic.html

Package: skkdic
Architecture: all
Depends: ${misc:Depends}
Suggests: skktools, skkdic-cdb, skkdic-extra
Conflicts: skk (<= 10.39-2)
Enhances: skkserv
Description: standard dictionary file for SKK
 This package provides `SKK-JISYO', the standard dictionary file for SKK
 Japanese input systems.  Currently, this package contains the large size
 dictionary file `SKK-JISYO.L' as the standard dictionary file.
 .
 For faster access, install the skkdic-cdb package which provides the
 constant database (cdb) file of this dictionary.  Other dictionary files,
 such as zipcode, personal names, small size, are provided by the
 skkdic-extra package.
 .
 To merge or edit dictionaries, install the skktools package.  To use
 dictionaries more conveniently, several SKK dictionary servers are
 available, such as dbskkd-cdb and skksearch.

Package: skkdic-extra
Architecture: all
Depends: ${misc:Depends}
Suggests: skktools, skkdic, skkdic-cdb
Conflicts: skk (<= 10.39-2)
Enhances: skkserv
Description: extra dictionary files for SKK
 This package provides various dictionary files, such as `SKK-JISYO.zipcode',
 `SKK-JISYO.fullname', `SKK-JISYO.law', `SKK-JISYO.M', `SKK-JISYO.S', and
 so on, except the large size dictionary file `SKK-JISYO.L' provided by
 the skkdic package, for SKK Japanese input systems.
 .
 To merge or edit dictionaries, install the skktools package.  To use
 dictionaries more conveniently, several SKK dictionary servers are
 available, such as dbskkd-cdb and skksearch.

Package: skkdic-cdb
Architecture: all
Depends: ${misc:Depends}
Suggests: skktools, skkdic, skkdic-extra
Conflicts: dbskkd-cdb (<< 1:1.01-7), dbskkd-cdb-dic
Enhances: skkserv
Description: standard dictionary file for SKK in cdb format for faster access
 This package provides `SKK-JISYO.cdb', the standard dictionary file for
 SKK Japanese input systems, converted to constant database (cdb) for
 faster access.  Currently, this package contains the large size dictionary
 file `SKK-JISYO.L.cdb' as the standard dictionary file.
 .
 Since this dictionary is a cdb file, it requires cdb support for accessing.
 SKK dictionary servers dbskkd-cdb and skksearch can handle cdb-style
 dictionaries, but ddskk cannot in itself.
 .
 The original plain text version of this dictionary is provided by the
 skkdic package.  Other dictionary files, such as zipcode, personal names,
 small size, are provided by the skkdic-extra package.  To merge or edit
 dictionaries, install the skktools package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALLCHANGELOGS_ARGS := -k
DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := ChangeLog.* READMEs/committers.txt

DEB_MAKE_BUILD_TARGET := SKK-JISYO.china_taiwan TOOLS_DIR=/usr/share/skktools RUBY='ruby1.8 -I /usr/share/skktools/filters'
DEB_MAKE_INSTALL_TARGET :=
DEB_MAKE_CHECK_TARGET :=

build/skkdic-cdb:: SKK-JISYO.L.cdb

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

clean::
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

package := skkdic
date := $(shell date '+%Y%m%d')
orig_source_dir := ${package}-${date}.orig
orig_source_tarball := ${package}_${date}.orig.tar.gz
cvs_repos := :pserver:guest@openlab.jp:/circus/cvsroot
cvs_path := skk/dic

clean-orig-source:
	rm -rf ${orig_source_dir}
	rm -f ${orig_source_tarball}

get-orig-source: clean-orig-source
	@echo "Type 'guest' as CVS password."
	cvs -d ${cvs_repos} login
	cvs -d ${cvs_repos} export -rHEAD -d ${orig_source_dir} ${cvs_path}
	rm -f ${orig_source_dir}/*edict*
	tar c ${orig_source_dir} | gzip -9 > ${orig_source_tarball}
	rm -rf ${orig_source_dir}

## skkdic 20130505

=== debian/changelog ===
skkdic (20130505-2) unstable; urgency=low

  * Do not depend on ruby1.8
  * Depend on skktools (>= 1.3.2-4~) to build with Ruby 1.9

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 10 Jun 2013 21:31:52 +0900

skkdic (20130505-1) unstable; urgency=low

  * Imported Upstream version 20130505
  * Update debian/copyright
  * Do not install old ChangeLog files
  * Add Vcs-Git and Vcs-Browser
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 08 May 2013 19:38:24 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends-Indep: tinycdb, ruby1.8, skktools (>= 1.2-3)
+Build-Depends-Indep: tinycdb, ruby | ruby-interpreter, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic

## skkdic 20131225

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.44 2007/09/02 06:42:46 skk-cvs Exp $
-# Last Modified: $Date: 2007/09/02 06:42:46 $
+# Version: $Id: Makefile,v 1.46 2013/07/13 01:30:55 skk-cvs Exp $
+# Last Modified: $Date: 2013/07/13 01:30:55 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -40,6 +40,11 @@
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
 # SKK-JISYO.L+ SKK-JISYO.L.taciturn SKK-JISYO.total
+
+PYTHON    = python
+SKK2CDB   = skk2cdb.py -f
+CDB_SOURCE = ./SKK-JISYO.L
+CDB_TARGET = ./`basename $(CDB_SOURCE)`.cdb
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
@@ -168,6 +173,9 @@
 
 all: annotated-all unannotated-all taciturn-all
 
+cdb:
+	$(PYTHON) $(TOOLS_DIR)/$(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)
+
 # bzip2: clean $(SRCS)
 # 	for file in $(SRCS); do \
 # 	  $(BZIP2) -fc $$file >$$file.bz2 ;\

=== debian/changelog ===
skkdic (20131225-1) unstable; urgency=low

  * Imported Upstream version 20131225
  * Update copyright-format version to 1.0
  * Update Standards-Version to 3.9.5
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jan 2014 13:56:08 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby | ruby-interpreter, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html

## skkdic 20140823

=== debian/changelog ===
skkdic (20140823-1) unstable; urgency=medium

  * Imported Upstream version 20140823
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Aug 2014 19:30:26 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends-Indep: tinycdb, ruby | ruby-interpreter, skktools (>= 1.3.2-4~)
+Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git

## skkdic 20150422

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.46 2013/07/13 01:30:55 skk-cvs Exp $
-# Last Modified: $Date: 2013/07/13 01:30:55 $
+# Version: $Id: Makefile,v 1.47 2015/01/16 07:34:37 skk-cvs Exp $
+# Last Modified: $Date: 2015/01/16 07:34:37 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -35,7 +35,7 @@
 		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
 		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
 		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
-		SKK-JISYO.fullname SKK-JISYO.JIS2004
+		SKK-JISYO.fullname SKK-JISYO.JIS2004 SKK-JISYO.lisp
 # SKK-JISYO.noregist SKK-JISYO.hukugougo
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated

=== debian/changelog ===
skkdic (20150422-1) unstable; urgency=medium

  * Imported Upstream version 20150422
  * Update debian/copyright
  * Add SKK-JISYO.lisp to skkdic-extra.install
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 12:17:48 +0900

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/skkdic.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic

## skkdic 20160507

=== debian/changelog ===
skkdic (20160507-1) unstable; urgency=medium

  * Imported Upstream version 20160507
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Add lintian-overrides to prevent warning of SKK-JISYO.lisp

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jun 2016 19:54:43 +0900

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/skkdic.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic

## skkdic 20170107

=== debian/changelog ===
skkdic (20170107-1) unstable; urgency=medium

  * New upstream version 20170107
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2017 23:38:21 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
-Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends: cdbs, debhelper (>= 9)
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/skkdic.git

## skkdic 20180127

=== debian/changelog ===
skkdic (20180127-1) unstable; urgency=medium

  * New upstream version 20180127
    (CVS trunk on 2018-01-27, except *edict*)
  * Update debhelper compat version to 10
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Add Multi-Arch: foreign
  * Update debian/copyright
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 08 Feb 2018 19:27:34 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
-Build-Depends: cdbs, debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/skkdic.git
+Build-Depends: cdbs, debhelper (>= 10)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/skkdic
+Vcs-Git: https://salsa.debian.org/debian/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic
@@ -15,6 +15,7 @@
 Suggests: skktools, skkdic-cdb, skkdic-extra
 Conflicts: skk (<= 10.39-2)
 Enhances: skkserv
+Multi-Arch: foreign
 Description: standard dictionary file for SKK
  This package provides `SKK-JISYO', the standard dictionary file for SKK
  Japanese input systems.  Currently, this package contains the large size
@@ -35,6 +36,7 @@
 Suggests: skktools, skkdic, skkdic-cdb
 Conflicts: skk (<= 10.39-2)
 Enhances: skkserv
+Multi-Arch: foreign
 Description: extra dictionary files for SKK
  This package provides various dictionary files, such as `SKK-JISYO.zipcode',
  `SKK-JISYO.fullname', `SKK-JISYO.law', `SKK-JISYO.M', `SKK-JISYO.S', and
@@ -51,6 +53,7 @@
 Suggests: skktools, skkdic, skkdic-extra
 Conflicts: dbskkd-cdb (<< 1:1.01-7), dbskkd-cdb-dic
 Enhances: skkserv
+Multi-Arch: foreign
 Description: standard dictionary file for SKK in cdb format for faster access
  This package provides `SKK-JISYO.cdb', the standard dictionary file for
  SKK Japanese input systems, converted to constant database (cdb) for

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 DEB_DH_INSTALLCHANGELOGS_ARGS := -k
 DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
-DEB_INSTALL_DOCS_ALL := ChangeLog.* READMEs/committers.txt
+DEB_INSTALL_DOCS_ALL := READMEs/committers.txt
 
-DEB_MAKE_BUILD_TARGET := SKK-JISYO.china_taiwan TOOLS_DIR=/usr/share/skktools RUBY='ruby1.8 -I /usr/share/skktools/filters'
+DEB_MAKE_BUILD_TARGET := SKK-JISYO.china_taiwan TOOLS_DIR=/usr/share/skktools RUBY='ruby -I /usr/share/skktools/filters'
 DEB_MAKE_INSTALL_TARGET :=
 DEB_MAKE_CHECK_TARGET :=

## skkdic 20181229

=== debian/changelog ===
skkdic (20181229-1) unstable; urgency=medium

  * Update get-orig-source to fetch from GitHub
  * New upstream version 20181229
    (Git master branch, except *edict*)
  * Drop debian/patches (merged upstream)
  * Update debian/copyright
  * Update Standards-Version to 4.3.0
  * Update Homepage from openlab.jp to GitHub Pages
  * Adjust committers.txt installation
  * No longer rebuild SKK-JISYO.china_taiwan
  * Adjust zipcode/README.* installation
  * Don't use deprecated DEB_DH_INSTALLCHANGELOGS_ARGS

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 08 Jan 2019 22:30:56 +0900

skkdic (20180127-2) unstable; urgency=medium

  * New patch 010_zipcode.patch
  * Update debian/copyright
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 23 Nov 2018 22:43:24 +0900

## skkdic 20190217

=== debian/changelog ===
skkdic (20190217-2) unstable; urgency=medium

  * New patch 010_reiwa.patch to add Japan's new era 令和 (Reiwa)
    (closes: #926862, #926863)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 11 Apr 2019 21:52:37 +0900

skkdic (20190217-1) unstable; urgency=medium

  * New upstream version 20190217
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 18 Feb 2019 21:49:25 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
+Build-Depends-Indep: tinycdb
 Build-Depends: cdbs, debhelper (>= 10)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/skkdic
 Vcs-Git: https://salsa.debian.org/debian/skkdic.git
-Homepage: http://openlab.jp/skk/dic.html
+Homepage: https://skk-dev.github.io/dict/
 
 Package: skkdic
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := committers.txt

build/skkdic-cdb:: SKK-JISYO.L.cdb

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

clean::
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

package := skkdic
date := $(shell date '+%Y%m%d')
orig_source_dir := ${package}-${date}.orig
orig_source_tarball := ${package}_${date}.orig.tar.gz

clean-orig-source:
	rm -rf ${orig_source_dir}
	rm -f ${orig_source_tarball}

get-orig-source: clean-orig-source
	mkdir ${orig_source_dir}
	wget -O - https://github.com/skk-dev/dict/tarball/master | tar zx --exclude='.git*' -C ${orig_source_dir}
	mv ${orig_source_dir}/skk-dev-dict-*/* ${orig_source_dir}
	rmdir ${orig_source_dir}/skk-dev-dict-*
	rm -f ${orig_source_dir}/*edict*
	tar c ${orig_source_dir} | gzip -9 > ${orig_source_tarball}
	rm -rf ${orig_source_dir}

## skkdic 20200404

=== debian/changelog ===
skkdic (20200404-1) unstable; urgency=medium

  * New upstream version 20200404
  * Add debian/upstream/metadata
  * Add debian/watch with mode=git

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 May 2020 12:08:51 +0900

skkdic (20200323-1) unstable; urgency=medium

  * New upstream version 20200323
  * Install SKK-JISYO.edict2, SKK-JISYO.emoji and SKK-JISYO.ivd
  * Install SKK-JISYO.L.utf8, converted from SKK-JISYO.L
  * Install committers.* instead of committers.txt
  * Update Upstream-Contact to skk-dev
  * Update debian/copyright
    - SKK-JISYO.emoji and SKK-JISYO.ivd are under the Unicode License

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 24 Mar 2020 22:14:27 +0900

skkdic (20200308-1) unstable; urgency=medium

  * Don't exclude *edict*
  * New upstream version 20200308
  * Install SKK-JISYO.edict for skkdic-extra
  * Update debian/copyright
    - SKK-JISYO.edict is under CC-BY-SA-3.0
  * Run update-skkdic-yaskkserv when configure in postinst
  * Run update-cmigemo-dict when configure in postinst

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 12 Mar 2020 21:16:32 +0900

skkdic (20200229-1) unstable; urgency=medium

  * New upstream version 20200229 (Git master branch, except *edict*)
  * Drop debian/patches (merged upstream)
  * Add Rules-Requires-Root: no
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Mar 2020 23:27:30 +0900

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb
 Build-Depends: cdbs, debhelper (>= 10)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/skkdic
 Vcs-Git: https://salsa.debian.org/debian/skkdic.git
 Homepage: https://skk-dev.github.io/dict/
+Rules-Requires-Root: no
 
 Package: skkdic
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := committers.*

build/skkdic-cdb:: SKK-JISYO.L.cdb

build/skkdic-extra:: SKK-JISYO.L.utf8

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

%.utf8: %
	iconv -f euc-jisx0213 -t utf-8 $< | LC_ALL=C sed 's/coding: euc-jp/coding: utf-8/' >$@

clean::
	rm -f *.utf8
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

get-orig-source:
	wget -O upstream.tar.gz https://github.com/skk-dev/dict/tarball/master
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "skkdic_$$1$$2$$3.orig.tar.gz\n"; exit}'`
